commit:     85fae56653d2875065e30488ba86bec857c9ecdd
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Aug 26 17:46:08 2017 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Aug 26 17:46:44 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=85fae566

xfce-extra/xfce4-pulseaudio-plugin: elog about needed external mixer

Bug: https://bugs.gentoo.org/628970

 .../xfce4-pulseaudio-plugin/xfce4-pulseaudio-plugin-0.2.5.ebuild | 9 +++++++++
 1 file changed, 9 insertions(+)

diff --git 
a/xfce-extra/xfce4-pulseaudio-plugin/xfce4-pulseaudio-plugin-0.2.5.ebuild 
b/xfce-extra/xfce4-pulseaudio-plugin/xfce4-pulseaudio-plugin-0.2.5.ebuild
index b4ca786af48..ebb6f360347 100644
--- a/xfce-extra/xfce4-pulseaudio-plugin/xfce4-pulseaudio-plugin-0.2.5.ebuild
+++ b/xfce-extra/xfce4-pulseaudio-plugin/xfce4-pulseaudio-plugin-0.2.5.ebuild
@@ -44,6 +44,15 @@ src_install() {
 
 pkg_postinst() {
        gnome2_icon_cache_update
+
+       if ! has_version media-sound/pavucontrol; then
+               elog "For the 'audio mixer...' shortcut to work, you need to 
install"
+               elog "an external mixer application. Please either install:"
+               elog
+               elog "  media-sound/pavucontrol"
+               elog
+               elog "or specify another application to use in the 'Properties' 
dialog."
+       fi
 }
 
 pkg_postrm() {

Reply via email to